package com.inspect.guideline.mapper;

import com.inspect.guideline.domain.PatrolGuidelineRule;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

@Mapper
public interface PatrolGuidelineRuleMapper {
    PatrolGuidelineRule selectPatrolGuidelineRuleByGuidelineRuleId(Long ruleId);

    List<PatrolGuidelineRule> selectPatrolGuidelineRuleList(PatrolGuidelineRule rule);

    int insertPatrolGuidelineRule(PatrolGuidelineRule rule);

    int updatePatrolGuidelineRule(PatrolGuidelineRule rule);

    int deletePatrolGuidelineRuleByGuidelineRuleId(Long ruleId);

    int deletePatrolGuidelineRuleByGuidelineRuleIds(Long[] ruleIds);
}
